ClarisWksStyleManager::Style Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
ClarisWksStyleManager::Style Struct Reference

the structure to store the style in a ClarisWksStyleManager More...

`#include <ClarisWksStyleManager.hxx>`

## Public Member Functions
| Style ()
| constructor More...

## Public Attributes
int | m_fontId
| the char More...
int | m_cellFormatId
| the formatId More...
int | m_rulerId
| the ruler More...
int | m_rulerPId
| the ruler parent id ( or maybe the style parent) More...
int | m_nameId
| the style name id More...
int | m_ksenId
| the ksen id More...
int | m_graphicId
| the graphic (checkme) More...
int | m_localStyleId
| a local style id More...
int | m_styleId
| the style id More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Style const &style)
| operator<< More...

## Detailed Description

the structure to store the style in a ClarisWksStyleManager

## Constructor & Destructor Documentation

## ◆ Style()

ClarisWksStyleManager::Style::Style | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | ClarisWksStyleManager::Style const & | style
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_cellFormatId

int ClarisWksStyleManager::Style::m_cellFormatId

the formatId

Referenced by operator<<(), ClarisWksDbaseContent::readRecordSS(), and ClarisWksStyleManager::readStylesDef().

## ◆ m_extra

std::string ClarisWksStyleManager::Style::m_extra

extra data

Referenced by operator<<(), and ClarisWksStyleManager::readStylesDef().

## ◆ m_fontId

int ClarisWksStyleManager::Style::m_fontId

the char

Referenced by operator<<(), ClarisWksDbaseContent::readRecordSS(), and ClarisWksStyleManager::readStylesDef().

## ◆ m_graphicId

int ClarisWksStyleManager::Style::m_graphicId

the graphic (checkme)

Referenced by operator<<(), ClarisWksDbaseContent::readRecordSS(), ClarisWksStyleManager::readStylesDef(), ClarisWksTable::readTableBorders(), ClarisWksTable::readTableCells(), and ClarisWksTableInternal::TableCell::update().

## ◆ m_ksenId

int ClarisWksStyleManager::Style::m_ksenId

the ksen id

Referenced by operator<<(), ClarisWksStyleManager::readStylesDef(), ClarisWksTable::readTableBorders(), ClarisWksTable::readTableCells(), and ClarisWksTableInternal::TableCell::update().

## ◆ m_localStyleId

int ClarisWksStyleManager::Style::m_localStyleId

a local style id

Referenced by operator<<(), and ClarisWksStyleManager::readStylesDef().

## ◆ m_nameId

int ClarisWksStyleManager::Style::m_nameId

the style name id

Referenced by ClarisWksStyleManager::getRulerName(), operator<<(), and ClarisWksStyleManager::readStylesDef().

## ◆ m_rulerId

int ClarisWksStyleManager::Style::m_rulerId

the ruler

Referenced by ClarisWksStyleManager::getRulerName(), operator<<(), ClarisWksText::readParagraphs(), and ClarisWksStyleManager::readStylesDef().

## ◆ m_rulerPId

int ClarisWksStyleManager::Style::m_rulerPId

the ruler parent id ( or maybe the style parent)

Referenced by ClarisWksStyleManager::getRulerName(), operator<<(), and ClarisWksStyleManager::readStylesDef().

## ◆ m_styleId

int ClarisWksStyleManager::Style::m_styleId

the style id

Referenced by operator<<(), and ClarisWksStyleManager::readStylesDef().

The documentation for this struct was generated from the following file:

- ClarisWksStyleManager.hxx